### Method

# Gtk SelectionModelselect_range

#### Declaration [src]

    gboolean
    gtk_selection_model_select_range (
      GtkSelectionModel* model,
      guint position,
      guint n_items,
      gboolean unselect_rest
    )

#### Description [src]

Requests to select a range of items in the model.

#### Parameters

`position`

  Type: `guint`

  The first item to select.

`n_items`

  Type: `guint`

  The number of items to select.

`unselect_rest`

  Type: `gboolean`

  Whether previously selected items should be unselected.

#### Return value

Type: `gboolean`

`TRUE` if this action was supported and no fallback should be tried. This does not mean the range was selected.